[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [tor/master] Treat bt_test.py failures as "SKIP" on freebsd.
commit b860f82d565191a6d21bde0b6940fc1871e4d935
Author: Nick Mathewson <nickm@xxxxxxxxxxxxxx>
Date: Mon Feb 1 14:11:45 2016 -0500
Treat bt_test.py failures as "SKIP" on freebsd.
Closes #18204.
---
changes/bug18204_028 | 3 +++
src/test/bt_test.py | 8 ++++++++
src/test/test_bt.sh | 6 +++---
3 files changed, 14 insertions(+), 3 deletions(-)
diff --git a/changes/bug18204_028 b/changes/bug18204_028
new file mode 100644
index 0000000..3a1a116
--- /dev/null
+++ b/changes/bug18204_028
@@ -0,0 +1,3 @@
+ o Testing:
+ - Treat backtrace test failures as expected on FreeBSD until we
+ solve bug 17808. Closes ticket 18204.
diff --git a/src/test/bt_test.py b/src/test/bt_test.py
index dab02d7..3059145 100755
--- a/src/test/bt_test.py
+++ b/src/test/bt_test.py
@@ -39,7 +39,15 @@ for I in range(len(LINES)):
print("OK")
sys.exit(0)
+print("BAD")
+
for l in LINES:
print("{}".format(l), end="")
+if sys.platform.startswith('freebsd'):
+ # See bug #17808 if you know how to fix this.
+ print("Test failed; but FreeBSD is known to have backtrace problems.\n"
+ "Treating as 'SKIP'.")
+ sys.exit(77)
+
sys.exit(1)
diff --git a/src/test/test_bt.sh b/src/test/test_bt.sh
index f55f451..033acac 100755
--- a/src/test/test_bt.sh
+++ b/src/test/test_bt.sh
@@ -3,8 +3,8 @@
exitcode=0
-"${builddir:-.}/src/test/test-bt-cl" backtraces || exit 77
-"${builddir:-.}/src/test/test-bt-cl" assert | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode=1
-"${builddir:-.}/src/test/test-bt-cl" crash | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode=1
+"${builddir:-.}/src/test/test-bt-cl" backtraces || exit $?
+"${builddir:-.}/src/test/test-bt-cl" assert | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode="$?"
+"${builddir:-.}/src/test/test-bt-cl" crash | "${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/bt_test.py" || exitcode="$?"
exit ${exitcode}
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits